##
##  lua-cjson.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_lua     5.4
%define       V_cjson   2.1.0

#   package information
Name:         lua-cjson
Summary:      Lua Extension: JSON Encoding/Decoding
URL:          http://www.kyne.com.au/~mark/software/lua-cjson.php
Vendor:       Mark Pulford
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_cjson}
Release:      20211227

#   list of sources
Source0:      http://www.kyne.com.au/~mark/software/download/lua-cjson-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  lua
PreReq:       lua

%description
    This is the Lua extension package for JSON encoding/decoding.

%track
    prog lua-cjson = {
        version   = %{V_cjson}
        url       = http://www.kyne.com.au/~mark/software/lua-cjson.php
        regex     = lua-cjson-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n lua-cjson-%{V_cjson}

%build
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        PREFIX="%{l_prefix}" \
        LUA_INCLUDE_DIR=%{l_prefix}/include/lua

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/lua/%{V_lua} \
        $RPM_BUILD_ROOT%{l_prefix}/share/lua/%{V_lua}/cjson
    %{l_shtool} install -c -m 644 \
        cjson.so $RPM_BUILD_ROOT%{l_prefix}/lib/lua/%{V_lua}/
    %{l_shtool} install -c -m 644 \
        lua/cjson/util.lua $RPM_BUILD_ROOT%{l_prefix}/share/lua/%{V_lua}/cjson/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

